- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AnimateImages
- XAnimateBackgroundImage
- XAnimateImage
- AnimateImages

# NAME

animate - Interactively Animate an Image Sequence

# SYNOPSIS

unsigned int AnimateImages( const ImageInfo *image_info, Image *images );

unsigned int AnimateImages( const ImageInfo *image_info, Image *images );

void XAnimateBackgroundImage( Display *display, XResourceInfo *resource_info, Image *images );

# FUNCTION DESCRIPTIONS

## AnimateImages

> AnimateImages() repeatedly displays an image sequence to any X window screen. It returns a value other than 0 if successful. Check the exception member of image to determine the reason for any failure.

The format of the AnimateImages method is:

> unsigned int AnimateImages ( const ImageInfo *image_info, Image *images );

A description of each parameter follows:

image_info:
  The image info.

image:
  The image.

## XAnimateBackgroundImage

> XAnimateBackgroundImage() animates an image sequence in the background of a window.

The format of the XAnimateBackgroundImage method is:

> void XAnimateBackgroundImage ( Display *display, XResourceInfo *resource_info, Image *images );

A description of each parameter follows:

display:
  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:
  Specifies a pointer to a X11 XResourceInfo structure.

images:
  The image list.

## XAnimateImage

`XAnimateImages()` displays an image via X11.

The format of the XAnimateImages method is:

        Image *XAnimateImages(Display *display,XResourceInfo *resource_info,
          char **argv,const int argc,Image *images)

A description of each parameter follows:

display:
  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:
  Specifies a pointer to a X11 XResourceInfo structure.

argv:
  Specifies the application's argument list.

argc:
  Specifies the number of arguments.

images:
  The image list.

## AnimateImages

> AnimateImages() repeatedly displays an image sequence to any X window screen. It returns a value other than 0 if successful. Check the exception member of image to determine the reason for any failure.

The format of the AnimateImages method is:

> unsigned int AnimateImages ( const ImageInfo *image_info, Image *images );

A description of each parameter follows:

image_info:
  The image info.

image:
  The image.

"Image manipulation software that works like magick"